This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 664957

Summary: [abrt] acpitool-0.5.1-1.fc12: open: Process /usr/bin/acpitool was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: andy_longworth
Component: acpitoolAssignee: Steven M. Parrish <smparrish>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: pertusus, smparrish
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:1b99af7df979df750294fc8761431e30f6eee543
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 16:39:33 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace none

Description andy_longworth 2010-12-22 04:43:04 EST
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: acpitool -e
component: acpitool
crash_function: open
executable: /usr/bin/acpitool
kernel: 2.6.35.9-64.fc14.x86_64
package: acpitool-0.5.1-1.fc12
rating: 4
reason: Process /usr/bin/acpitool was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1293010216
uid: 500

comment
-----
Every time I run the comman 'acpitool -e' from a terminal the above format is produced and then a segmentation fault.

This happens each and every time.

Output
$ acpitool -e
  Kernel version : 2.6.35.9-64.fc1   -    ACPI version : 20100428
  -----------------------------------------------------------
  Battery #1     : present
    Remaining capacity : 64768 mAh, 100.0%
    Design capacity    : 1 mAh
    Last full capacity : 1 mAh
    Present rate       : 0 mA
    Charging state     : charged
    Battery type       : rechargeable 
    Model number       : 100 mAh
    Serial number      : Travel
  Battery #2     : present
    Remaining capacity : 846 mAh, 20.97%, 00:55:41
    Design capacity    : 4035 mAh
    Last full capacity : 4035 mAh
    Present rate       : 3436 mA
    Charging state     : charging
    Battery type       : rechargeable 
    Model number       : 100 mAh
    Serial number      : Primary

  AC adapter     : on-line 
Segmentation fault (core dumped)

How to reproduce
-----
1. Installed acpitool on fedora 14 with yum
2. Run acpitool -e
3.
Comment 1 andy_longworth 2010-12-22 04:43:07 EST
Created attachment 470165 [details]
File: backtrace
Comment 2 Fedora End Of Life 2012-08-16 16:39:35 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping